Subject: [straw] WGLC: for draft-ietf-straw-b2bua-taxonomy-00

From: Christer Holmberg <[email-masked]>
Date: Wed, 21 Nov 2012 13:16:46 +0000

[As co-chair]

Hi,

As indicated in Atlanta, we were going to initiate the WGLC for draft-ietf-straw-b2bua-taxonomy-00.

Due to upcoming holidays (Thanksgiving etc) the WGLC will last for 3 weeks, until 12th December.

Everyone is encouraged to read the document and provide comments.

However, the chairs would also like to ask for at least a couple of volunteers, who commit to thoughtfully reading the document. Please contact the chairs if You can help with that :)

Best regards,

Victor & Christer

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 29 Nov 2012 10:41:09 +0000

[As co-chair]

Hi,

We have been informed by a couple of individuals that they will read the document. Thank You very much!

However, others are of course still encouraged to provide WGLC comments on the document. And, you don't have to wait until 12th December before doing so :)

Best regards,

Victor & Christer

From: Christer Holmberg [mailto:[email-masked]]
Sent: 21. marraskuuta 2012 15:17
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: WGLC: for draft-ietf-straw-b2bua-taxonomy-00

[As co-chair]

Hi,

Best regards,

Victor & Christer

---

From: Mary Barnes <[email-masked]>
Date: Thu, 29 Nov 2012 16:19:40 -0600

I have reviewed the document and think it is almost ready to progress, but
it needs at least one more round of edits, per the following comments.

Mary.

WGLC Review: draft-ietf-straw-b2bua-taxonomy-00

General comments:

---------------------------

- A fair number of references need to be added - I've identified many
below.

- The document discusses Application Servers and PBXs throughout section 3,
but those terms aren't described until section 4, so I think at least a
forward reference should be added (although, that kindof makes it circular,
so maybe adding a generic definition something like the following to the
terminology section might be useful) and/or the terminology added to
section 1.

Minor comments:

-----------------------

- Abstract - really could use a bit more intro.  I would suggest to borrow
some text from the introduction - maybe the first paragraph.

- Section 1 - Terminology:

-- Remove the reference to RFC 2119.  I don't think it's necessary.

-- Also, I don't think B2BUA, UAS and UAC need to be defined here.  They
should just be expanded on the first usage.   I would just refer to the
definitions in RFC 3261 as you have for RFC 2828.

-- Per my comment above

- Section 3, 2nd paragraph, last sentence.  What is a "one-armed 3rd party
call control transcoder"?  There is a reference to section 3.1 of RFC 5369,
but that doesn't use the "one-armed" terminology.  I don't think referring
to "one-armed" adds value.  I suggest simply removing it.

- Section 3.2.2: Add references for SRTP Terminator and RTCP for QoS

- Section 3.2.3:  Add a reference for MSRP

- Section 4.6:  Expand P-CSCF and IBCF. Add references to 3GPP architecture
and media plane gateway specs.

- Section 4.7:  Expand S-CSCF.

- Section 5:  I would suggest to reword something like "The security
considerations related to the functionality described in this document are
addressed in the relevant references."

Nits:

------

- Section 4.2:

-- expand VCC & IVR

-- last sentence: "Poxy-B2BUA" -> "Proxy-B2BUA"

- Section 4.4.: Expand TDM.

On Wed, Nov 21, 2012 at 7:16 AM, Christer Holmberg <
[email-masked]> wrote:

>  [As co-chair]****
>
> ** **
>
> Hi,****
>
> ** **
>
> As indicated in Atlanta, we were going to initiate the *WGLC for
> draft-ietf-straw-b2bua-taxonomy-00*.****
>
> ** **
>
> Due to upcoming holidays (Thanksgiving etc) the WGLC will last for 3
> weeks, until *12th December*.****
>
> ** **
>
> Everyone is encouraged to read the document and provide comments.****
>
> ** **
>
> However, the chairs would also like to ask for at least a couple of *
> volunteers*, who commit to thoughtfully reading the document. Please
> contact the chairs if You can help with that :)****
>
> ** **
>
> Best regards,****
>
> ** **
>
> Victor & Christer****
>
> ** **
>
> _______________________________________________
> straw mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/straw
>
>

---

From: "Hutton, Andrew" <[email-masked]>
Date: Fri, 30 Nov 2012 16:56:49 +0000

Hi,

Some comments on draft-ietf-straw-b2bua-taxonomy-00.

Generally I don't think the document is too controversial and is close to completion but I do have some comments that I would like to be addressed.

1. Abstract. Could do with a bit more detail on what a SIP B2BUA actually is and the roles it performs the statement "... performing different roles in different ways" is I think a bit too vague.  Maybe you could mention some examples includes SBC's and Application Servers.

2. Section 2, 3rd para. ", the odds of a SIP session the odds of a SIP session crossing such media-plane B2BUAs increases". I am not sure of the relevance of "media-plane B2BUAs" in this context. In fact I think it would not harm to lose this paragraph altogether.

3. Section 3.1 states "This implies it does not modify SDP bodies, although it may save them and/or operate on other MIME body types". This is incorrect and in fact the subsection 3.1.3 describes such a B2BUA which does modify SDP. I suggest the following text "A Signaling-plane B2BUA is one that operates only on the SIP message protocol layer, and only with SIP messages, bodies, and headers but not the media itself in any way".  The sentence about other MIME body types can then be removed.

4. Section 3.1.2 and 3.1.3. I am not sure why it is necessary to separate the "SDP-Modifying Signaling Only" B2BUA from the "Signaling Only B2BUA". The signaling only B2BUA section states that such a B2B UA may "modify or inspect specific MIME bodies," why does it not just include SDP as one of the MIME types a signaling-only B2BUA may modify?

5. Section 4.1 "SIP PBXs and Softswitches". I don't understand the reference to the UAC & UAS being "connected with a logical PRI loopback;". I don't think this is really a valid analogy. If it is meant to mean there may be signaling transcoding between the SIP UAS and UAC then that it is what it should say. 

6. Section 4.2. "Poxy-B2BUA" -> "Proxy-B2BUA" I assume

7. Section 4.4 The last sentence states:

"Some transcoders save and remove SDP offers in INVITEs form the UAC, and wait for an offer in the response from the UAS, similar to a 3PCC model; others just insert additional codecs in SDP offers and only transcode if the inserted codec(s) are selected in the answer."

I think this goes in to too much detail about how a transcoder might work is not necessary and anyway the 3PCC bit sounds like rather dubious practice which we don't need to say anything about.

Regards
Andy

From: [email-masked] [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: 21 November 2012 13:17
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [straw] WGLC: for draft-ietf-straw-b2bua-taxonomy-00

[As co-chair]

Hi,

Best regards,

Victor & Christer